
Foreman - Bug #5721

Updating host group parameter in 1.5.0 give value too long for type character varying(255)

05/14/2014 03:10 PM - Justice London

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Here is the trace:

ActiveRecord::StatementInvalid

PG::StringDataRightTruncation: ERROR: value too long for type character varying(255) : INSERT INTO "audits" ("action",

"associated_id", "associated_name", "associated_type", "auditable_id", "auditable_name", "auditable_type", "audited_changes",

"comment", "created_at", "remote_address", "user_id", "user_type", "username", "version") VALUES ($1, $2, $3, $4, $5, $6, $7, $8,

$9, $10, $11, $12, $13, $14, $15) RETURNING "id"

app/models/concerns/host_common.rb:46:in `block in lookup_values_attributes='

app/models/concerns/host_common.rb:39:in `each_value'

app/models/concerns/host_common.rb:39:in `lookup_values_attributes='

app/controllers/hostgroups_controller.rb:64:in `update'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

I am attempting to update the parameters for a mysql hostgroup which does have a fairly long set of parameters. Let me know if you

need further information.

Related issues:

Is duplicate of Foreman - Bug #5671: Stack trace due to audit table field bei... Closed 05/12/2014

History

#1 - 05/14/2014 03:15 PM - Dominic Cleal

- Is duplicate of Bug #5671: Stack trace due to audit table field being too short added

#2 - 05/14/2014 03:16 PM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, we're tracking the fix for Foreman 1.5.1 in #5671.
